import { ContextConf } from "@next-core/brick-types";
import { ContextUsage } from "./track";
export interface DeferredContext {
    resolve(): void;
    reject(e: unknown): void;
}
export declare function deferResolveContextConcurrently(contextConfs: ContextConf[], resolveContext: (contextConf: ContextConf) => Promise<boolean>, keyword?: string): {
    pendingResult: Promise<void>;
    pendingContexts: Map<string, Promise<void>>;
};
export declare function resolveContextConcurrently(contextConfs: ContextConf[], resolveContext: (contextConf: ContextConf) => Promise<boolean>, keyword?: string): Promise<void>;
export declare function syncResolveContextConcurrently(contextConfs: ContextConf[], resolveContext: (contextConf: ContextConf) => boolean, keyword?: string): void;
export declare function getDependencyMapOfContext(contextConfs: ContextConf[], keyword?: string): Map<ContextConf, ContextUsage>;
