import { Storyboard, BrickConf } from "@next-core/brick-types";
import { ScanBricksOptions } from "./scanStoryboard";
/**
 * Scan bricks in storyboard.
 *
 * @param storyboard - Storyboard.
 * @param options - If options is a boolean, it means `isUniq` or `de-duplicate`.
 * @param collectionOfCustomApi - You can pass an empty array to collect custom api.
 */
export declare function scanBricksInStoryboard(storyboard: Storyboard, options?: boolean | ScanBricksOptions): string[];
export declare function scanBricksInBrickConf(brickConf: BrickConf): string[];
