export declare class JsonStorage<U = Record<string, unknown>> {
    private storage;
    private prefix;
    constructor(storage: Storage, prefix?: string);
    setItem<T extends string & keyof U>(name: T, value: U[T]): void;
    getItem<T extends string & keyof U>(name: T): U[T];
    removeItem<T extends string & keyof U>(name: T): void;
    clear(): void;
}
