import { CompileOptions, MatchOptions, MatchResult, PluginRuntimeContext } from "@next-core/brick-types";
export declare type MatchPathOptions = MatchOptions & CompileOptions & {
    checkIf?: (context: PluginRuntimeContext) => boolean;
    getContext?: (match: any) => PluginRuntimeContext;
};
/**
 * Public API for matching a URL pathname to a path.
 */
export declare function matchPath(pathname: string, options: MatchPathOptions): MatchResult;
export declare function toPath(path: string, pathParams: Record<string, any>): string;
