import { StoryboardFunction } from "@next-core/brick-types";
import { PrecookHooks } from "./cook";
export declare function visitStoryboardFunctions(functions: StoryboardFunction[], beforeVisitGlobal: PrecookHooks["beforeVisitGlobal"], options?: VisitStoryboardFunctionsOptions): void;
interface VisitStoryboardFunctionsOptions {
    matchSource?: (source: string) => boolean;
}
interface VisitStoryboardExpressionsOptions {
    matchExpressionString: (v: string) => boolean;
    visitNonExpressionString?: (v: string) => unknown;
    visitObject?: (v: unknown[] | Record<string, unknown>) => unknown;
    customIsEvaluable?: (v: string) => boolean;
}
export declare function visitStoryboardExpressions(data: unknown, beforeVisitGlobal: PrecookHooks["beforeVisitGlobal"], options: string | VisitStoryboardExpressionsOptions): void;
export {};
